scim_helper_module.h File Reference

Defines scim::HelperModule and it's related types. More...

## Classes

class | scim::HelperModule
| The class used to load a Helper module and run its Helpers. More...

## Namespaces

namespace | scim

## Typedefs

typedef unsigned int(* | scim::HelperModuleNumberOfHelpersFunc) (void)
| Get the number of Helpers in this module.
typedef bool(* | scim::HelperModuleGetHelperInfoFunc) (unsigned int idx, HelperInfo &info)
| Get the information of a Helper.
typedef void(* | scim::HelperModuleRunHelperFunc) (const String &uuid, const ConfigPointer &config, const String &display)
| Run a specific Helper.

## Functions

int | scim::scim_get_helper_module_list (std::vector< String > &mod_list)
| Get a name list of currently available Helper modules.

## Detailed Description

Defines scim::HelperModule and it's related types.

scim::HelperModule is a class used to load Client Helper modules.